{% from '@Macro/Card.html.twig' import getDefaultImage %}

{% if imgPath is not defined %}
    {% set imgPath = getDefaultImage() %}
    {% set author %}
        <twig:Molecules:Card:DefaultImageAuthorLink/>
    {% endset %}
{% endif %}

<twig:Atoms:Card:CardBackground class="lg:w-72 md:w-80 w-80 h-70" animated="1">
    <twig:Atoms:Link:Link href="{{ link }}" class="d-block h-full">
        <twig:Flex direction="col" justify="space-between" class="h-full">
            <twig:Atoms:Layout:Padding class="grow">
                <twig:Atoms:Card:CardTitle class="text-center">{{ title }}</twig:Atoms:Card:CardTitle>
            </twig:Atoms:Layout:Padding>
            <twig:Atoms:Img:Img src="{{ imgPath }}" alt="{{ title }}" class="h-64 w-full rounded-b-xl"/>
        </twig:Flex>
    </twig:Atoms:Link:Link>
    <twig:Molecules:Card:CardAuthor top="0">
        {{ author ?? '' }}
    </twig:Molecules:Card:CardAuthor>
</twig:Atoms:Card:CardBackground>